<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (19) on Mon May 01 19:07:59 CEST 2023 -->
<title>GestionJeu</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-05-01">
<meta name="description" content="declaration: class: GestionJeu">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html#class">Help</a></li>
</ul>
<ul class="sub-nav-list-small">
<li>
<p>Summary:</p>
<ul>
<li>Nested</li>
<li><a href="#field-summary">Field</a></li>
<li><a href="#constructor-summary">Constr</a></li>
<li><a href="#method-summary">Method</a></li>
</ul>
</li>
<li>
<p>Detail:</p>
<ul>
<li><a href="#field-detail">Field</a></li>
<li><a href="#constructor-detail">Constr</a></li>
<li><a href="#method-detail">Method</a></li>
</ul>
</li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list">
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field-detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><a href="search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<h1 title="Class GestionJeu" class="title">Class GestionJeu</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>
<div class="inheritance">GestionJeu</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">GestionJeu</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span></div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="caption"><span>Fields</span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienRapide.html" title="class in Unnamed Package">AlienRapide</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#alienRapide" class="member-name-link">alienRapide</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise la liste contenant l'alien rapide</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienRapide.html" title="class in Unnamed Package">AlienRapide</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#alienRapideTouche" class="member-name-link">alienRapideTouche</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise la liste de l'alien rapide touché par un projectile</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienRapide.html" title="class in Unnamed Package">AlienRapide</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#alienRapideToucheParLaser" class="member-name-link">alienRapideToucheParLaser</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise l'alien rapide touché par un laser</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Alien.html" title="class in Unnamed Package">Alien</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#aliens" class="member-name-link">aliens</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise une liste d'aliens</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienDifficile.html" title="class in Unnamed Package">AlienDifficile</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#aliensDifficiles" class="member-name-link">aliensDifficiles</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise une liste d'aliens difficiles</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienDifficile.html" title="class in Unnamed Package">AlienDifficile</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#aliensDifficilesTouches" class="member-name-link">aliensDifficilesTouches</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise une liste d'aliens difficiles touchés</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienDifficile.html" title="class in Unnamed Package">AlienDifficile</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#aliensDifficilesTouchesParLaser" class="member-name-link">aliensDifficilesTouchesParLaser</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise la liste des aliens difficiles touchés par un laser</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienMoyen.html" title="class in Unnamed Package">AlienMoyen</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#aliensMoyen" class="member-name-link">aliensMoyen</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise une liste d'aliens moyens</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienMoyen.html" title="class in Unnamed Package">AlienMoyen</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#aliensMoyensTouchesParLaser" class="member-name-link">aliensMoyensTouchesParLaser</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise la liste des aliens moyens touchés par un laser</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienMoyen.html" title="class in Unnamed Package">AlienMoyen</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#aliensMoyenTouches" class="member-name-link">aliensMoyenTouches</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise une liste d'aliens moyens touchés</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireur.html" title="class in Unnamed Package">AlienTireur</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#aliensTireurs" class="member-name-link">aliensTireurs</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise la liste des aliens tireurs</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireurDifficile.html" title="class in Unnamed Package">AlienTireurDifficile</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#aliensTireursDifficiles" class="member-name-link">aliensTireursDifficiles</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise la liste des aliens tireurs difficiles</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireurDifficile.html" title="class in Unnamed Package">AlienTireurDifficile</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#aliensTireursDifficilesTouches" class="member-name-link">aliensTireursDifficilesTouches</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise la liste des aliens tireurs difficiles touchés par un projectile</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireurDifficile.html" title="class in Unnamed Package">AlienTireurDifficile</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#aliensTireursDifficilesTouchesParLaser" class="member-name-link">aliensTireursDifficilesTouchesParLaser</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise la liste des aliens tireurs difficiles touchés par un laser</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireurMoyen.html" title="class in Unnamed Package">AlienTireurMoyen</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#aliensTireursMoyens" class="member-name-link">aliensTireursMoyens</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise la liste des aliens tireurs moyens</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireurMoyen.html" title="class in Unnamed Package">AlienTireurMoyen</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#aliensTireursMoyensTouches" class="member-name-link">aliensTireursMoyensTouches</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise la liste des aliens tireurs moyens touchés par un projectile</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireurMoyen.html" title="class in Unnamed Package">AlienTireurMoyen</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#aliensTireursMoyensTouchesParLaser" class="member-name-link">aliensTireursMoyensTouchesParLaser</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise la liste des aliens tireurs moyens touchés par un laser</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireur.html" title="class in Unnamed Package">AlienTireur</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#aliensTireursTouches" class="member-name-link">aliensTireursTouches</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise la liste des aliens tireurs touchés par un projectile</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireur.html" title="class in Unnamed Package">AlienTireur</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#aliensTireursTouchesParLaser" class="member-name-link">aliensTireursTouchesParLaser</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise la liste des aliens tireurs touchés par un laser</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Alien.html" title="class in Unnamed Package">Alien</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#aliensTouches" class="member-name-link">aliensTouches</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise une liste d'aliens touchés</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Alien.html" title="class in Unnamed Package">Alien</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#aliensTouchesParLaser" class="member-name-link">aliensTouchesParLaser</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise la liste des aliens touchés par un laser</div>
</div>
<div class="col-first odd-row-color"><code>private int</code></div>
<div class="col-second odd-row-color"><code><a href="#choixDifficulte" class="member-name-link">choixDifficulte</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise un numéro correspondant au choix de la difficulté</div>
</div>
<div class="col-first even-row-color"><code>private boolean</code></div>
<div class="col-second even-row-color"><code><a href="#difficulteDifficileChoisie" class="member-name-link">difficulteDifficileChoisie</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise si la difficulté choisie est la difficile</div>
</div>
<div class="col-first odd-row-color"><code>private boolean</code></div>
<div class="col-second odd-row-color"><code><a href="#difficulteFacileChoisie" class="member-name-link">difficulteFacileChoisie</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise si la difficulté choisie est la facile</div>
</div>
<div class="col-first even-row-color"><code>private boolean</code></div>
<div class="col-second even-row-color"><code><a href="#difficulteMoyenneChoisie" class="member-name-link">difficulteMoyenneChoisie</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise si la difficulté choisie est la moyenne</div>
</div>
<div class="col-first odd-row-color"><code>private int</code></div>
<div class="col-second odd-row-color"><code><a href="#hauteur" class="member-name-link">hauteur</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise la hauteur de la fenêtre</div>
</div>
<div class="col-first even-row-color"><code>private boolean</code></div>
<div class="col-second even-row-color"><code><a href="#isOver" class="member-name-link">isOver</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut définit si la partie est perdue ou non</div>
</div>
<div class="col-first odd-row-color"><code>private boolean</code></div>
<div class="col-second odd-row-color"><code><a href="#lancerVB1" class="member-name-link">lancerVB1</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise s'il faut lancer ou non le premier vaisseau bonus</div>
</div>
<div class="col-first even-row-color"><code>private boolean</code></div>
<div class="col-second even-row-color"><code><a href="#lancerVB2" class="member-name-link">lancerVB2</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise s'il faut lancer le deuxième vaisseau bonus</div>
</div>
<div class="col-first odd-row-color"><code>private int</code></div>
<div class="col-second odd-row-color"><code><a href="#largeur" class="member-name-link">largeur</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise la largeur de la fenêtre</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Laser.html" title="class in Unnamed Package">Laser</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#lasers" class="member-name-link">lasers</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise une liste de lasers</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Laser.html" title="class in Unnamed Package">Laser</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#lasersRates" class="member-name-link">lasersRates</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise la liste des lasers touchés</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Laser.html" title="class in Unnamed Package">Laser</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#lasersTouches" class="member-name-link">lasersTouches</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise la liste des lasers touchés</div>
</div>
<div class="col-first odd-row-color"><code>private boolean</code></div>
<div class="col-second odd-row-color"><code><a href="#laserUtilise" class="member-name-link">laserUtilise</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise si le laser a été utilisé ou non</div>
</div>
<div class="col-first even-row-color"><code>private <a href="EnsembleChaines.html" title="class in Unnamed Package">EnsembleChaines</a></code></div>
<div class="col-second even-row-color"><code><a href="#lesChaines" class="member-name-link">lesChaines</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise les chaines à afficher</div>
</div>
<div class="col-first odd-row-color"><code>private int</code></div>
<div class="col-second odd-row-color"><code><a href="#nbTirsLaser" class="member-name-link">nbTirsLaser</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise le nombre de lasers qui peuvent être tirés</div>
</div>
<div class="col-first even-row-color"><code>private boolean</code></div>
<div class="col-second even-row-color"><code><a href="#peutTirer" class="member-name-link">peutTirer</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut définit si le vaisseau peut tirer ou non</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Projectile.html" title="class in Unnamed Package">Projectile</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#projectiles" class="member-name-link">projectiles</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise une liste de projectiles</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileAlienTireurDifficile.html" title="class in Unnamed Package">ProjectileAlienTireurDifficile</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#projectilesAlienTireurDifficileTouches" class="member-name-link">projectilesAlienTireurDifficileTouches</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise la liste des projectiles touchés par les aliens tireurs difficiles</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileAlienTireurMoyen.html" title="class in Unnamed Package">ProjectileAlienTireurMoyen</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#projectilesAlienTireurMoyenTouches" class="member-name-link">projectilesAlienTireurMoyenTouches</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise la liste des projectiles touchés par les aliens tireurs moyen</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileAlienTireur.html" title="class in Unnamed Package">ProjectileAlienTireur</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#projectilesAlienTireurTouches" class="member-name-link">projectilesAlienTireurTouches</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise la liste des projectiles touchés par les aliens tireurs</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileDifficile.html" title="class in Unnamed Package">ProjectileDifficile</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#projectilesDifficiles" class="member-name-link">projectilesDifficiles</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise une liste de projectiles difficiles</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileDifficile.html" title="class in Unnamed Package">ProjectileDifficile</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#projectilesDifficilesRates" class="member-name-link">projectilesDifficilesRates</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise une liste de projectiles difficiles ratés</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileDifficile.html" title="class in Unnamed Package">ProjectileDifficile</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#projectilesDifficilesTouches" class="member-name-link">projectilesDifficilesTouches</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise une liste de projectiles difficiles touchés</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileMoyen.html" title="class in Unnamed Package">ProjectileMoyen</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#projectilesMoyens" class="member-name-link">projectilesMoyens</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise une liste de projectiles moyens</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileMoyen.html" title="class in Unnamed Package">ProjectileMoyen</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#projectilesMoyensRates" class="member-name-link">projectilesMoyensRates</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise une liste de projectiles moyens ratés</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileMoyen.html" title="class in Unnamed Package">ProjectileMoyen</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#projectilesMoyensTouches" class="member-name-link">projectilesMoyensTouches</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise une liste de projectiles moyens touchés</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Projectile.html" title="class in Unnamed Package">Projectile</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#projectilesRates" class="member-name-link">projectilesRates</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise une liste de projectiles ratés</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Projectile.html" title="class in Unnamed Package">Projectile</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#projectilesTouches" class="member-name-link">projectilesTouches</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise une liste de projectiles touchés</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="Score.html" title="class in Unnamed Package">Score</a></code></div>
<div class="col-second odd-row-color"><code><a href="#score" class="member-name-link">score</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise le score du joueur</div>
</div>
<div class="col-first even-row-color"><code>private int</code></div>
<div class="col-second even-row-color"><code><a href="#tempsDAttenteTir" class="member-name-link">tempsDAttenteTir</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise le temps d'attente entre deux tirs</div>
</div>
<div class="col-first odd-row-color"><code>private int</code></div>
<div class="col-second odd-row-color"><code><a href="#tempsDAttenteVaisseauBonus1" class="member-name-link">tempsDAttenteVaisseauBonus1</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise le temps d'attente pour lancer le premier vaisseau bonus</div>
</div>
<div class="col-first even-row-color"><code>private int</code></div>
<div class="col-second even-row-color"><code><a href="#tempsDAttenteVaisseauBonus2" class="member-name-link">tempsDAttenteVaisseauBonus2</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise le temps d'attente pour lancer le second vaisseau bonus</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="Vaisseau.html" title="class in Unnamed Package">Vaisseau</a></code></div>
<div class="col-second odd-row-color"><code><a href="#vaisseau" class="member-name-link">vaisseau</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise le vaisseau</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="VaisseauBonus.html" title="class in Unnamed Package">VaisseauBonus</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#vaisseauxBonus" class="member-name-link">vaisseauxBonus</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise la liste des vaisseaux bonus</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="VaisseauBonus.html" title="class in Unnamed Package">VaisseauBonus</a>&gt;</code></div>
<div class="col-second odd-row-color"><code><a href="#vaisseauxBonusTouches" class="member-name-link">vaisseauxBonusTouches</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise la liste des vaisseaux bonus touchés par un projectile</div>
</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="VaisseauBonus.html" title="class in Unnamed Package">VaisseauBonus</a>&gt;</code></div>
<div class="col-second even-row-color"><code><a href="#vaisseauxBonusTouchesParLaser" class="member-name-link">vaisseauxBonusTouchesParLaser</a></code></div>
<div class="col-last even-row-color">
<div class="block">Cet attribut modélise la liste des vaisseaux bonus touchés par un laser</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="Vie.html" title="class in Unnamed Package">Vie</a></code></div>
<div class="col-second odd-row-color"><code><a href="#vie" class="member-name-link">vie</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Cet attribut modélise la vie du personnage</div>
</div>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E()" class="member-name-link">GestionJeu</a>()</code></div>
<div class="col-last even-row-color">
<div class="block">Permet de construire le jeu</div>
</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#choixDifficulte()" class="member-name-link">choixDifficulte</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de choisir la difficulté de la partie à jouer</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#estGagnee()" class="member-name-link">estGagnee</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de définir si la partie au niveau facil est gagnée ou non</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#estGagneeD()" class="member-name-link">estGagneeD</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de définir si la partie au niveau difficile est gagnée ou non</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#estGagneeM()" class="member-name-link">estGagneeM</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de définir si la partie au niveau moyen est gagnée ou non</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="EnsembleChaines.html" title="class in Unnamed Package">EnsembleChaines</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getChaines()" class="member-name-link">getChaines</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Permet de récupérer le dessin du vaisseau</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getHauteur()" class="member-name-link">getHauteur</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Permet de récupérer la hauteur de la fenêtre</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getLargeur()" class="member-name-link">getLargeur</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Permet de récupérer la largeur de la fenêtre</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#jouerUnTour()" class="member-name-link">jouerUnTour</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de jouer une partie en choisissant la difficulté</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#niveauDifficile()" class="member-name-link">niveauDifficile</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de jouer un tour au niveau difficle</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#niveauFacile()" class="member-name-link">niveauFacile</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de jouer un tour au niveau facile</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#niveauMoyen()" class="member-name-link">niveauMoyen</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de jouer un tour au niveau moyen</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#quitter()" class="member-name-link">quitter</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de quitter le jeu si on se souhaite pas rejouer une partie</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#rejouer()" class="member-name-link">rejouer</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de rejouer une partie à n'importe quelle difficulté</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#toucheC()" class="member-name-link">toucheC</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de tirer un laser avec le vaisseau à l'aide de la touche C du clavier</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#toucheD()" class="member-name-link">toucheD</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de choisir la difficulté difficile à l'aide de la touche D du clavier</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#toucheDroite()" class="member-name-link">toucheDroite</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de faire déplacer le vaisseau vers la droite à l'aide de la flèche droite du clavier</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#toucheEspace()" class="member-name-link">toucheEspace</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de faire tirer le vaisseau à l'aide de la barre espace du clavier</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#toucheF()" class="member-name-link">toucheF</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de choisir la difficulté facile à l'aide de la touche F du clavier</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#toucheGauche()" class="member-name-link">toucheGauche</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de faire déplacer le vaisseau vers la gauche à l'aide de la flèche gauche du clavier</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#toucheM()" class="member-name-link">toucheM</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de choisir la difficulté moyenne à l'aide de la touche M du clavier</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#toucheQ()" class="member-name-link">toucheQ</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de quitter le jeu à l'aide de la touche Q du clavier</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#toucheR()" class="member-name-link">toucheR</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">permet de rejouer une partie à l'aide de la touche R du clavier</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-Object">Methods inherited from class&nbsp;<a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field-detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="hauteur">
<h3>hauteur</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">hauteur</span></div>
<div class="block">Cet attribut modélise la hauteur de la fenêtre</div>
</section>
</li>
<li>
<section class="detail" id="largeur">
<h3>largeur</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">largeur</span></div>
<div class="block">Cet attribut modélise la largeur de la fenêtre</div>
</section>
</li>
<li>
<section class="detail" id="lesChaines">
<h3>lesChaines</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="EnsembleChaines.html" title="class in Unnamed Package">EnsembleChaines</a></span>&nbsp;<span class="element-name">lesChaines</span></div>
<div class="block">Cet attribut modélise les chaines à afficher</div>
</section>
</li>
<li>
<section class="detail" id="vaisseau">
<h3>vaisseau</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="Vaisseau.html" title="class in Unnamed Package">Vaisseau</a></span>&nbsp;<span class="element-name">vaisseau</span></div>
<div class="block">Cet attribut modélise le vaisseau</div>
</section>
</li>
<li>
<section class="detail" id="projectiles">
<h3>projectiles</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Projectile.html" title="class in Unnamed Package">Projectile</a>&gt;</span>&nbsp;<span class="element-name">projectiles</span></div>
<div class="block">Cet attribut modélise une liste de projectiles</div>
</section>
</li>
<li>
<section class="detail" id="projectilesTouches">
<h3>projectilesTouches</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Projectile.html" title="class in Unnamed Package">Projectile</a>&gt;</span>&nbsp;<span class="element-name">projectilesTouches</span></div>
<div class="block">Cet attribut modélise une liste de projectiles touchés</div>
</section>
</li>
<li>
<section class="detail" id="projectilesRates">
<h3>projectilesRates</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Projectile.html" title="class in Unnamed Package">Projectile</a>&gt;</span>&nbsp;<span class="element-name">projectilesRates</span></div>
<div class="block">Cet attribut modélise une liste de projectiles ratés</div>
</section>
</li>
<li>
<section class="detail" id="score">
<h3>score</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="Score.html" title="class in Unnamed Package">Score</a></span>&nbsp;<span class="element-name">score</span></div>
<div class="block">Cet attribut modélise le score du joueur</div>
</section>
</li>
<li>
<section class="detail" id="aliens">
<h3>aliens</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Alien.html" title="class in Unnamed Package">Alien</a>&gt;</span>&nbsp;<span class="element-name">aliens</span></div>
<div class="block">Cet attribut modélise une liste d'aliens</div>
</section>
</li>
<li>
<section class="detail" id="aliensTouches">
<h3>aliensTouches</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Alien.html" title="class in Unnamed Package">Alien</a>&gt;</span>&nbsp;<span class="element-name">aliensTouches</span></div>
<div class="block">Cet attribut modélise une liste d'aliens touchés</div>
</section>
</li>
<li>
<section class="detail" id="isOver">
<h3>isOver</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isOver</span></div>
<div class="block">Cet attribut définit si la partie est perdue ou non</div>
</section>
</li>
<li>
<section class="detail" id="peutTirer">
<h3>peutTirer</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">peutTirer</span></div>
<div class="block">Cet attribut définit si le vaisseau peut tirer ou non</div>
</section>
</li>
<li>
<section class="detail" id="tempsDAttenteTir">
<h3>tempsDAttenteTir</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">tempsDAttenteTir</span></div>
<div class="block">Cet attribut modélise le temps d'attente entre deux tirs</div>
</section>
</li>
<li>
<section class="detail" id="lasers">
<h3>lasers</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Laser.html" title="class in Unnamed Package">Laser</a>&gt;</span>&nbsp;<span class="element-name">lasers</span></div>
<div class="block">Cet attribut modélise une liste de lasers</div>
</section>
</li>
<li>
<section class="detail" id="nbTirsLaser">
<h3>nbTirsLaser</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">nbTirsLaser</span></div>
<div class="block">Cet attribut modélise le nombre de lasers qui peuvent être tirés</div>
</section>
</li>
<li>
<section class="detail" id="lasersTouches">
<h3>lasersTouches</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Laser.html" title="class in Unnamed Package">Laser</a>&gt;</span>&nbsp;<span class="element-name">lasersTouches</span></div>
<div class="block">Cet attribut modélise la liste des lasers touchés</div>
</section>
</li>
<li>
<section class="detail" id="lasersRates">
<h3>lasersRates</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Laser.html" title="class in Unnamed Package">Laser</a>&gt;</span>&nbsp;<span class="element-name">lasersRates</span></div>
<div class="block">Cet attribut modélise la liste des lasers touchés</div>
</section>
</li>
<li>
<section class="detail" id="aliensTouchesParLaser">
<h3>aliensTouchesParLaser</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Alien.html" title="class in Unnamed Package">Alien</a>&gt;</span>&nbsp;<span class="element-name">aliensTouchesParLaser</span></div>
<div class="block">Cet attribut modélise la liste des aliens touchés par un laser</div>
</section>
</li>
<li>
<section class="detail" id="aliensTireurs">
<h3>aliensTireurs</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireur.html" title="class in Unnamed Package">AlienTireur</a>&gt;</span>&nbsp;<span class="element-name">aliensTireurs</span></div>
<div class="block">Cet attribut modélise la liste des aliens tireurs</div>
</section>
</li>
<li>
<section class="detail" id="aliensTireursTouches">
<h3>aliensTireursTouches</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireur.html" title="class in Unnamed Package">AlienTireur</a>&gt;</span>&nbsp;<span class="element-name">aliensTireursTouches</span></div>
<div class="block">Cet attribut modélise la liste des aliens tireurs touchés par un projectile</div>
</section>
</li>
<li>
<section class="detail" id="aliensTireursTouchesParLaser">
<h3>aliensTireursTouchesParLaser</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireur.html" title="class in Unnamed Package">AlienTireur</a>&gt;</span>&nbsp;<span class="element-name">aliensTireursTouchesParLaser</span></div>
<div class="block">Cet attribut modélise la liste des aliens tireurs touchés par un laser</div>
</section>
</li>
<li>
<section class="detail" id="projectilesAlienTireurTouches">
<h3>projectilesAlienTireurTouches</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileAlienTireur.html" title="class in Unnamed Package">ProjectileAlienTireur</a>&gt;</span>&nbsp;<span class="element-name">projectilesAlienTireurTouches</span></div>
<div class="block">Cet attribut modélise la liste des projectiles touchés par les aliens tireurs</div>
</section>
</li>
<li>
<section class="detail" id="laserUtilise">
<h3>laserUtilise</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">laserUtilise</span></div>
<div class="block">Cet attribut modélise si le laser a été utilisé ou non</div>
</section>
</li>
<li>
<section class="detail" id="vie">
<h3>vie</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="Vie.html" title="class in Unnamed Package">Vie</a></span>&nbsp;<span class="element-name">vie</span></div>
<div class="block">Cet attribut modélise la vie du personnage</div>
</section>
</li>
<li>
<section class="detail" id="tempsDAttenteVaisseauBonus1">
<h3>tempsDAttenteVaisseauBonus1</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">tempsDAttenteVaisseauBonus1</span></div>
<div class="block">Cet attribut modélise le temps d'attente pour lancer le premier vaisseau bonus</div>
</section>
</li>
<li>
<section class="detail" id="tempsDAttenteVaisseauBonus2">
<h3>tempsDAttenteVaisseauBonus2</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">tempsDAttenteVaisseauBonus2</span></div>
<div class="block">Cet attribut modélise le temps d'attente pour lancer le second vaisseau bonus</div>
</section>
</li>
<li>
<section class="detail" id="lancerVB1">
<h3>lancerVB1</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">lancerVB1</span></div>
<div class="block">Cet attribut modélise s'il faut lancer ou non le premier vaisseau bonus</div>
</section>
</li>
<li>
<section class="detail" id="lancerVB2">
<h3>lancerVB2</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">lancerVB2</span></div>
<div class="block">Cet attribut modélise s'il faut lancer le deuxième vaisseau bonus</div>
</section>
</li>
<li>
<section class="detail" id="vaisseauxBonus">
<h3>vaisseauxBonus</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="VaisseauBonus.html" title="class in Unnamed Package">VaisseauBonus</a>&gt;</span>&nbsp;<span class="element-name">vaisseauxBonus</span></div>
<div class="block">Cet attribut modélise la liste des vaisseaux bonus</div>
</section>
</li>
<li>
<section class="detail" id="vaisseauxBonusTouches">
<h3>vaisseauxBonusTouches</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="VaisseauBonus.html" title="class in Unnamed Package">VaisseauBonus</a>&gt;</span>&nbsp;<span class="element-name">vaisseauxBonusTouches</span></div>
<div class="block">Cet attribut modélise la liste des vaisseaux bonus touchés par un projectile</div>
</section>
</li>
<li>
<section class="detail" id="vaisseauxBonusTouchesParLaser">
<h3>vaisseauxBonusTouchesParLaser</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="VaisseauBonus.html" title="class in Unnamed Package">VaisseauBonus</a>&gt;</span>&nbsp;<span class="element-name">vaisseauxBonusTouchesParLaser</span></div>
<div class="block">Cet attribut modélise la liste des vaisseaux bonus touchés par un laser</div>
</section>
</li>
<li>
<section class="detail" id="choixDifficulte">
<h3>choixDifficulte</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">choixDifficulte</span></div>
<div class="block">Cet attribut modélise un numéro correspondant au choix de la difficulté</div>
</section>
</li>
<li>
<section class="detail" id="projectilesMoyens">
<h3>projectilesMoyens</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileMoyen.html" title="class in Unnamed Package">ProjectileMoyen</a>&gt;</span>&nbsp;<span class="element-name">projectilesMoyens</span></div>
<div class="block">Cet attribut modélise une liste de projectiles moyens</div>
</section>
</li>
<li>
<section class="detail" id="projectilesMoyensTouches">
<h3>projectilesMoyensTouches</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileMoyen.html" title="class in Unnamed Package">ProjectileMoyen</a>&gt;</span>&nbsp;<span class="element-name">projectilesMoyensTouches</span></div>
<div class="block">Cet attribut modélise une liste de projectiles moyens touchés</div>
</section>
</li>
<li>
<section class="detail" id="projectilesMoyensRates">
<h3>projectilesMoyensRates</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileMoyen.html" title="class in Unnamed Package">ProjectileMoyen</a>&gt;</span>&nbsp;<span class="element-name">projectilesMoyensRates</span></div>
<div class="block">Cet attribut modélise une liste de projectiles moyens ratés</div>
</section>
</li>
<li>
<section class="detail" id="aliensMoyen">
<h3>aliensMoyen</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienMoyen.html" title="class in Unnamed Package">AlienMoyen</a>&gt;</span>&nbsp;<span class="element-name">aliensMoyen</span></div>
<div class="block">Cet attribut modélise une liste d'aliens moyens</div>
</section>
</li>
<li>
<section class="detail" id="aliensMoyenTouches">
<h3>aliensMoyenTouches</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienMoyen.html" title="class in Unnamed Package">AlienMoyen</a>&gt;</span>&nbsp;<span class="element-name">aliensMoyenTouches</span></div>
<div class="block">Cet attribut modélise une liste d'aliens moyens touchés</div>
</section>
</li>
<li>
<section class="detail" id="aliensMoyensTouchesParLaser">
<h3>aliensMoyensTouchesParLaser</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienMoyen.html" title="class in Unnamed Package">AlienMoyen</a>&gt;</span>&nbsp;<span class="element-name">aliensMoyensTouchesParLaser</span></div>
<div class="block">Cet attribut modélise la liste des aliens moyens touchés par un laser</div>
</section>
</li>
<li>
<section class="detail" id="aliensTireursMoyens">
<h3>aliensTireursMoyens</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireurMoyen.html" title="class in Unnamed Package">AlienTireurMoyen</a>&gt;</span>&nbsp;<span class="element-name">aliensTireursMoyens</span></div>
<div class="block">Cet attribut modélise la liste des aliens tireurs moyens</div>
</section>
</li>
<li>
<section class="detail" id="aliensTireursMoyensTouches">
<h3>aliensTireursMoyensTouches</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireurMoyen.html" title="class in Unnamed Package">AlienTireurMoyen</a>&gt;</span>&nbsp;<span class="element-name">aliensTireursMoyensTouches</span></div>
<div class="block">Cet attribut modélise la liste des aliens tireurs moyens touchés par un projectile</div>
</section>
</li>
<li>
<section class="detail" id="aliensTireursMoyensTouchesParLaser">
<h3>aliensTireursMoyensTouchesParLaser</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireurMoyen.html" title="class in Unnamed Package">AlienTireurMoyen</a>&gt;</span>&nbsp;<span class="element-name">aliensTireursMoyensTouchesParLaser</span></div>
<div class="block">Cet attribut modélise la liste des aliens tireurs moyens touchés par un laser</div>
</section>
</li>
<li>
<section class="detail" id="projectilesAlienTireurMoyenTouches">
<h3>projectilesAlienTireurMoyenTouches</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileAlienTireurMoyen.html" title="class in Unnamed Package">ProjectileAlienTireurMoyen</a>&gt;</span>&nbsp;<span class="element-name">projectilesAlienTireurMoyenTouches</span></div>
<div class="block">Cet attribut modélise la liste des projectiles touchés par les aliens tireurs moyen</div>
</section>
</li>
<li>
<section class="detail" id="difficulteFacileChoisie">
<h3>difficulteFacileChoisie</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">difficulteFacileChoisie</span></div>
<div class="block">Cet attribut modélise si la difficulté choisie est la facile</div>
</section>
</li>
<li>
<section class="detail" id="difficulteMoyenneChoisie">
<h3>difficulteMoyenneChoisie</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">difficulteMoyenneChoisie</span></div>
<div class="block">Cet attribut modélise si la difficulté choisie est la moyenne</div>
</section>
</li>
<li>
<section class="detail" id="difficulteDifficileChoisie">
<h3>difficulteDifficileChoisie</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">difficulteDifficileChoisie</span></div>
<div class="block">Cet attribut modélise si la difficulté choisie est la difficile</div>
</section>
</li>
<li>
<section class="detail" id="projectilesDifficiles">
<h3>projectilesDifficiles</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileDifficile.html" title="class in Unnamed Package">ProjectileDifficile</a>&gt;</span>&nbsp;<span class="element-name">projectilesDifficiles</span></div>
<div class="block">Cet attribut modélise une liste de projectiles difficiles</div>
</section>
</li>
<li>
<section class="detail" id="projectilesDifficilesTouches">
<h3>projectilesDifficilesTouches</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileDifficile.html" title="class in Unnamed Package">ProjectileDifficile</a>&gt;</span>&nbsp;<span class="element-name">projectilesDifficilesTouches</span></div>
<div class="block">Cet attribut modélise une liste de projectiles difficiles touchés</div>
</section>
</li>
<li>
<section class="detail" id="projectilesDifficilesRates">
<h3>projectilesDifficilesRates</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileDifficile.html" title="class in Unnamed Package">ProjectileDifficile</a>&gt;</span>&nbsp;<span class="element-name">projectilesDifficilesRates</span></div>
<div class="block">Cet attribut modélise une liste de projectiles difficiles ratés</div>
</section>
</li>
<li>
<section class="detail" id="aliensDifficiles">
<h3>aliensDifficiles</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienDifficile.html" title="class in Unnamed Package">AlienDifficile</a>&gt;</span>&nbsp;<span class="element-name">aliensDifficiles</span></div>
<div class="block">Cet attribut modélise une liste d'aliens difficiles</div>
</section>
</li>
<li>
<section class="detail" id="aliensDifficilesTouches">
<h3>aliensDifficilesTouches</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienDifficile.html" title="class in Unnamed Package">AlienDifficile</a>&gt;</span>&nbsp;<span class="element-name">aliensDifficilesTouches</span></div>
<div class="block">Cet attribut modélise une liste d'aliens difficiles touchés</div>
</section>
</li>
<li>
<section class="detail" id="aliensDifficilesTouchesParLaser">
<h3>aliensDifficilesTouchesParLaser</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienDifficile.html" title="class in Unnamed Package">AlienDifficile</a>&gt;</span>&nbsp;<span class="element-name">aliensDifficilesTouchesParLaser</span></div>
<div class="block">Cet attribut modélise la liste des aliens difficiles touchés par un laser</div>
</section>
</li>
<li>
<section class="detail" id="aliensTireursDifficiles">
<h3>aliensTireursDifficiles</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireurDifficile.html" title="class in Unnamed Package">AlienTireurDifficile</a>&gt;</span>&nbsp;<span class="element-name">aliensTireursDifficiles</span></div>
<div class="block">Cet attribut modélise la liste des aliens tireurs difficiles</div>
</section>
</li>
<li>
<section class="detail" id="aliensTireursDifficilesTouches">
<h3>aliensTireursDifficilesTouches</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireurDifficile.html" title="class in Unnamed Package">AlienTireurDifficile</a>&gt;</span>&nbsp;<span class="element-name">aliensTireursDifficilesTouches</span></div>
<div class="block">Cet attribut modélise la liste des aliens tireurs difficiles touchés par un projectile</div>
</section>
</li>
<li>
<section class="detail" id="aliensTireursDifficilesTouchesParLaser">
<h3>aliensTireursDifficilesTouchesParLaser</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienTireurDifficile.html" title="class in Unnamed Package">AlienTireurDifficile</a>&gt;</span>&nbsp;<span class="element-name">aliensTireursDifficilesTouchesParLaser</span></div>
<div class="block">Cet attribut modélise la liste des aliens tireurs difficiles touchés par un laser</div>
</section>
</li>
<li>
<section class="detail" id="projectilesAlienTireurDifficileTouches">
<h3>projectilesAlienTireurDifficileTouches</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="ProjectileAlienTireurDifficile.html" title="class in Unnamed Package">ProjectileAlienTireurDifficile</a>&gt;</span>&nbsp;<span class="element-name">projectilesAlienTireurDifficileTouches</span></div>
<div class="block">Cet attribut modélise la liste des projectiles touchés par les aliens tireurs difficiles</div>
</section>
</li>
<li>
<section class="detail" id="alienRapide">
<h3>alienRapide</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienRapide.html" title="class in Unnamed Package">AlienRapide</a>&gt;</span>&nbsp;<span class="element-name">alienRapide</span></div>
<div class="block">Cet attribut modélise la liste contenant l'alien rapide</div>
</section>
</li>
<li>
<section class="detail" id="alienRapideTouche">
<h3>alienRapideTouche</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienRapide.html" title="class in Unnamed Package">AlienRapide</a>&gt;</span>&nbsp;<span class="element-name">alienRapideTouche</span></div>
<div class="block">Cet attribut modélise la liste de l'alien rapide touché par un projectile</div>
</section>
</li>
<li>
<section class="detail" id="alienRapideToucheParLaser">
<h3>alienRapideToucheParLaser</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/19/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="AlienRapide.html" title="class in Unnamed Package">AlienRapide</a>&gt;</span>&nbsp;<span class="element-name">alienRapideToucheParLaser</span></div>
<div class="block">Cet attribut modélise l'alien rapide touché par un laser</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>GestionJeu</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">GestionJeu</span>()</div>
<div class="block">Permet de construire le jeu</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getHauteur()">
<h3>getHauteur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getHauteur</span>()</div>
<div class="block">Permet de récupérer la hauteur de la fenêtre</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la hauteur de la fenêtre</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getLargeur()">
<h3>getLargeur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getLargeur</span>()</div>
<div class="block">Permet de récupérer la largeur de la fenêtre</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la largeur de la fenêtre</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="toucheGauche()">
<h3>toucheGauche</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">toucheGauche</span>()</div>
<div class="block">permet de faire déplacer le vaisseau vers la gauche à l'aide de la flèche gauche du clavier</div>
</section>
</li>
<li>
<section class="detail" id="toucheDroite()">
<h3>toucheDroite</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">toucheDroite</span>()</div>
<div class="block">permet de faire déplacer le vaisseau vers la droite à l'aide de la flèche droite du clavier</div>
</section>
</li>
<li>
<section class="detail" id="toucheEspace()">
<h3>toucheEspace</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">toucheEspace</span>()</div>
<div class="block">permet de faire tirer le vaisseau à l'aide de la barre espace du clavier</div>
</section>
</li>
<li>
<section class="detail" id="toucheC()">
<h3>toucheC</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">toucheC</span>()</div>
<div class="block">permet de tirer un laser avec le vaisseau à l'aide de la touche C du clavier</div>
</section>
</li>
<li>
<section class="detail" id="toucheF()">
<h3>toucheF</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">toucheF</span>()</div>
<div class="block">permet de choisir la difficulté facile à l'aide de la touche F du clavier</div>
</section>
</li>
<li>
<section class="detail" id="toucheM()">
<h3>toucheM</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">toucheM</span>()</div>
<div class="block">permet de choisir la difficulté moyenne à l'aide de la touche M du clavier</div>
</section>
</li>
<li>
<section class="detail" id="toucheD()">
<h3>toucheD</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">toucheD</span>()</div>
<div class="block">permet de choisir la difficulté difficile à l'aide de la touche D du clavier</div>
</section>
</li>
<li>
<section class="detail" id="toucheR()">
<h3>toucheR</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">toucheR</span>()</div>
<div class="block">permet de rejouer une partie à l'aide de la touche R du clavier</div>
</section>
</li>
<li>
<section class="detail" id="toucheQ()">
<h3>toucheQ</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">toucheQ</span>()</div>
<div class="block">permet de quitter le jeu à l'aide de la touche Q du clavier</div>
</section>
</li>
<li>
<section class="detail" id="getChaines()">
<h3>getChaines</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="EnsembleChaines.html" title="class in Unnamed Package">EnsembleChaines</a></span>&nbsp;<span class="element-name">getChaines</span>()</div>
<div class="block">Permet de récupérer le dessin du vaisseau</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>le dessin du vaisseau</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="estGagnee()">
<h3>estGagnee</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">estGagnee</span>()</div>
<div class="block">permet de définir si la partie au niveau facil est gagnée ou non</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>true si la partie est gagnée, false sinon</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="estGagneeM()">
<h3>estGagneeM</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">estGagneeM</span>()</div>
<div class="block">permet de définir si la partie au niveau moyen est gagnée ou non</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>true si la partie est gagnée, false sinon</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="estGagneeD()">
<h3>estGagneeD</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">estGagneeD</span>()</div>
<div class="block">permet de définir si la partie au niveau difficile est gagnée ou non</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>true si la partie est gagnée, false sinon</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="choixDifficulte()">
<h3>choixDifficulte</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">choixDifficulte</span>()</div>
<div class="block">permet de choisir la difficulté de la partie à jouer</div>
</section>
</li>
<li>
<section class="detail" id="rejouer()">
<h3>rejouer</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">rejouer</span>()</div>
<div class="block">permet de rejouer une partie à n'importe quelle difficulté</div>
</section>
</li>
<li>
<section class="detail" id="quitter()">
<h3>quitter</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">quitter</span>()</div>
<div class="block">permet de quitter le jeu si on se souhaite pas rejouer une partie</div>
</section>
</li>
<li>
<section class="detail" id="niveauFacile()">
<h3>niveauFacile</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">niveauFacile</span>()</div>
<div class="block">permet de jouer un tour au niveau facile</div>
</section>
</li>
<li>
<section class="detail" id="niveauMoyen()">
<h3>niveauMoyen</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">niveauMoyen</span>()</div>
<div class="block">permet de jouer un tour au niveau moyen</div>
</section>
</li>
<li>
<section class="detail" id="niveauDifficile()">
<h3>niveauDifficile</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">niveauDifficile</span>()</div>
<div class="block">permet de jouer un tour au niveau difficle</div>
</section>
</li>
<li>
<section class="detail" id="jouerUnTour()">
<h3>jouerUnTour</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">jouerUnTour</span>()</div>
<div class="block">permet de jouer une partie en choisissant la difficulté</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
